program one_dim
  use mpi
  implicit none
#include "mafdecls.fh"
#include "global.fh"

  integer :: ierr, nprocs, procn, ndim
  integer, dimension(1) :: chunk, dims
  integer :: ga_1d
  logical :: gerr

  call MPI_INIT( ierr )
  call GA_INITIALIZE()

  ndim = 1
  chunk(1) = -1
  dims(1) = 10000
  
  procn = GA_NODEID()
  nprocs = GA_NNODES()

  gerr = NGA_CREATE( MT_F_DBL, ndim, dims, "global_vec", chunk, ga_1d )

  if ( .not. gerr ) then
    call ga_error( "Unable to create global_vec", ga_1d )
  end if
  
  call GA_TERMINATE()
  call MPI_FINALIZE( ierr )
  
end program one_dim
 
